uuid: 392502c2-e2b0-4911-a0a4-34334155dd4b
langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.search_index
    - field.field.node.resource.body
    - field.field.node.resource.field_body_paragraph
    - field.field.node.resource.field_image
    - field.field.node.resource.field_media_image
    - field.field.node.resource.field_meta_tags
    - field.field.node.resource.field_resource_file
    - field.field.node.resource.field_resource_link
    - field.field.node.resource.field_resource_type
    - field.field.node.resource.field_resource_video
    - field.field.node.resource.field_summary
    - field.field.node.resource.field_tags
    - field.field.node.resource.field_topics
    - node.type.resource
  module:
    - ds
    - file
    - link
    - media
    - paragraphs
    - user
third_party_settings:
  ds:
    layout:
      id: ds_1col
      library: null
      disable_css: false
      entity_classes: all_classes
      settings:
        classes:
          layout_class: {  }
        wrappers:
          ds_content: div
        outer_wrapper: div
        attributes: ''
        link_attribute: ''
        link_custom: ''
        label: ''
    regions:
      ds_content:
        - field_media_image
        - field_body_paragraph
        - field_resource_link
        - field_resource_file
        - field_resource_type
        - field_topics
        - field_tags
_core:
  default_config_hash: 8227_o_YXdG0cT_ujSKTn9wFeCA_NxhP4Bn5a7VBFf0
id: node.resource.search_index
targetEntityType: node
bundle: resource
mode: search_index
content:
  field_body_paragraph:
    type: paragraph_summary
    label: hidden
    settings: {  }
    third_party_settings: {  }
    weight: 1
    region: ds_content
  field_media_image:
    type: media_thumbnail
    label: hidden
    settings:
      image_link: ''
      image_style: ''
      image_loading:
        attribute: lazy
    third_party_settings: {  }
    weight: 0
    region: ds_content
  field_resource_file:
    type: file_default
    label: hidden
    settings:
      use_description_as_link_text: true
    third_party_settings: {  }
    weight: 3
    region: ds_content
  field_resource_link:
    type: link_separate
    label: hidden
    settings:
      trim_length: 80
      url_only: false
      url_plain: false
      rel: ''
      target: ''
    third_party_settings: {  }
    weight: 2
    region: ds_content
  field_resource_type:
    type: entity_reference_label
    label: hidden
    settings:
      link: true
    third_party_settings: {  }
    weight: 4
    region: ds_content
  field_tags:
    type: entity_reference_label
    label: hidden
    settings:
      link: true
    third_party_settings: {  }
    weight: 6
    region: ds_content
  field_topics:
    type: entity_reference_label
    label: hidden
    settings:
      link: true
    third_party_settings: {  }
    weight: 5
    region: ds_content
hidden:
  body: true
  field_image: true
  field_meta_tags: true
  field_resource_video: true
  field_summary: true
  links: true
  search_api_excerpt: true
